Bug 1046113 - (CVE-2013-7108, CVE-2013-7205) CVE-2013-7108 CVE-2013-7205 nagios: denial of service due to off-by-one flaw in process_cgivars()
CVE-2013-7108 CVE-2013-7205 nagios: denial of service due to off-by-one flaw ...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131220,repor...
: Security
Depends On: 1046333 1046335
Blocks: 1046115 1066579
  Show dependency treegraph
 
Reported: 2013-12-23 12:50 EST by Vincent Danen
Modified: 2016-04-18 20:43 EDT (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-12-23 12:50:48 EST
A flaw was reported [1] and fixed [2] in Nagios, which can be exploited to cause a denial of service.  This vulnerability is caused due to an off-by-one error within the process_cgivars() function, which can be exploited to cause an out-of-bounds read by sending a specially-crafted key value to the Nagios web UI.


[1] https://secunia.com/advisories/55976/
[2] http://sourceforge.net/p/nagios/nagioscore/ci/d97e03f32741a7d851826b03ed73ff4c9612a866/
Comment 1 Vincent Danen 2013-12-23 16:07:19 EST
Based on:

http://www.openwall.com/lists/oss-security/2013/12/23/7

this should have CVE-2013-7108 assigned, however there may be an additional CVE assigned as this commit apparently corrected two files that Icinga did not.  So if another CVE is assigned, we'll add it then.
Comment 2 Vincent Danen 2013-12-24 10:30:28 EST
Based on:

http://www.openwall.com/lists/oss-security/2013/12/24/1

CVE-2013-7108 is for the https://dev.icinga.org/issues/5251 report. This mentions specific affected Icinga files. The issue in the same files in Nagios has this same CVE ID.

contrib/daemonchk.c was also changed by Nagios and corrects a similar flaw, so was assigned CVE-2013-7205.  The other file fixed in the Nagios commit, cgi/statuswml.c, does not seem to have any security-relevancy.  Icinga does not expose the contrib/daemonchk.c file in any meaningful way so the CVE-2013-7205 assignment is explicitly for Nagios, whereas CVE-2013-7108 is for both Nagios and Icinga.
Comment 3 Vincent Danen 2013-12-24 10:32:09 EST
Created nagios tracking bugs for this issue:

Affects: fedora-all [bug 1046333]
Affects: epel-6 [bug 1046335]
Comment 4 Fedora Update System 2015-12-05 15:30:41 EST
nagios-4.0.8-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.